| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Private Member Functions | Private Attributes | List of all members
uiSettingsMgr Class Reference
uiTools

`#include <uipythonsettings.h>`

Inheritance diagram for uiSettingsMgr:
[legend]

## Public Member Functions
| uiSettingsMgr ()
| ~uiSettingsMgr ()
uiToolBar * | getToolBar ()
void | loadToolBarCmds (uiMainWin &)
uiRetVal | openTerminal (bool withfallback=true, const char *cmd=nullptr, const BufferStringSet *args=nullptr, const char *workingdir=nullptr)
const BufferStringSet * | programArgs (int) const
void | updateUserCmdToolBar ()
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Public Attributes
Notifier< uiSettingsMgr > | terminalRequested
Notifier< uiSettingsMgr > | toolbarUpdated

## Private Member Functions
void | doPythonSettingsCB (CallBacker *)
void | doTerminalCmdCB (CallBacker *)
void | doToolBarCmdCB (CallBacker *)
void | keyPressedCB (CallBacker *)
| mOD_DisableCopy (uiSettingsMgr)
void | updateUserCmdToolBarCB (CallBacker *)

## Private Attributes
BufferStringSet | commands_
int | idecmdidx_ = -1
ObjectSet< const BufferStringSet > | progargs_
BufferStringSet | prognms_
int | termcmdidx_ = -1
TypeSet< int > | toolbarids_
uiMenu * | usercmdmnu_ = nullptr
uiToolBar * | usercmdtb_ = nullptr

## Additional Inherited Members
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ uiSettingsMgr()

uiSettingsMgr::uiSettingsMgr | ( |  | ) |

## ◆ ~uiSettingsMgr()

uiSettingsMgr::~uiSettingsMgr | ( |  | ) |

## Member Function Documentation

## ◆ doPythonSettingsCB()

void uiSettingsMgr::doPythonSettingsCB | ( | CallBacker * |  | ) |
| private

## ◆ doTerminalCmdCB()

void uiSettingsMgr::doTerminalCmdCB | ( | CallBacker * |  | ) |
| private

## ◆ doToolBarCmdCB()

void uiSettingsMgr::doToolBarCmdCB | ( | CallBacker * |  | ) |
| private

## ◆ getToolBar()

uiToolBar * uiSettingsMgr::getToolBar | ( |  | ) |
| inline

## ◆ keyPressedCB()

void uiSettingsMgr::keyPressedCB | ( | CallBacker * |  | ) |
| private

## ◆ loadToolBarCmds()

void uiSettingsMgr::loadToolBarCmds | ( | uiMainWin & |  | ) |

## ◆ mOD_DisableCopy()

uiSettingsMgr::mOD_DisableCopy | ( | uiSettingsMgr |  | ) |
| private

## ◆ openTerminal()

uiRetVal uiSettingsMgr::openTerminal | ( | bool | withfallback = true,
|  | const char * | cmd = nullptr,
|  | const BufferStringSet * | args = nullptr,
|  | const char * | workingdir = nullptr )

## ◆ programArgs()

const BufferStringSet * uiSettingsMgr::programArgs | ( | int |  | ) | const

## ◆ updateUserCmdToolBar()

void uiSettingsMgr::updateUserCmdToolBar | ( |  | ) |

## ◆ updateUserCmdToolBarCB()

void uiSettingsMgr::updateUserCmdToolBarCB | ( | CallBacker * |  | ) |
| private

## Member Data Documentation

## ◆ commands_

BufferStringSet uiSettingsMgr::commands_
| private

## ◆ idecmdidx_

int uiSettingsMgr::idecmdidx_ = -1
| private

## ◆ progargs_

ObjectSet<const BufferStringSet> uiSettingsMgr::progargs_
| private

## ◆ prognms_

BufferStringSet uiSettingsMgr::prognms_
| private

## ◆ termcmdidx_

int uiSettingsMgr::termcmdidx_ = -1
| private

## ◆ terminalRequested

Notifier<uiSettingsMgr> uiSettingsMgr::terminalRequested

## ◆ toolbarids_

TypeSet<int> uiSettingsMgr::toolbarids_
| private

## ◆ toolbarUpdated

Notifier<uiSettingsMgr> uiSettingsMgr::toolbarUpdated

## ◆ usercmdmnu_

uiMenu* uiSettingsMgr::usercmdmnu_ = nullptr
| private

## ◆ usercmdtb_

uiToolBar* uiSettingsMgr::usercmdtb_ = nullptr
| private

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025